You are not logged in.

#1 2014-05-21 17:07:50

mcloaked
Member
From: Yorkshire, UK
Registered: 2012-02-02
Posts: 719

[SOLVED] python2-twisted - pacman update error

During pacman update a short time ago I get:

:: Proceed with installation? [Y/n] 
:: Retrieving packages ...
 mesa-10.1.4-1-x86_64               3.1 MiB  3.94M/s 00:01 [###############################] 100%
 mesa-libgl-10.1.4-1-x86_64         3.0 KiB  0.00B/s 00:00 [###############################] 100%
 ati-dri-10.1.4-1-x86_64            4.2 MiB  4.63M/s 00:01 [###############################] 100%
 ffmpeg-1:2.2.2-3-x86_64            5.5 MiB  3.78M/s 00:01 [###############################] 100%
 gutenprint-5.2.10-1-x86_64        13.1 MiB  4.63M/s 00:03 [###############################] 100%
 intel-dri-10.1.4-1-x86_64       1549.8 KiB  4.64M/s 00:00 [###############################] 100%
 nouveau-dri-10.1.4-1-x86_64        3.5 MiB  4.63M/s 00:01 [###############################] 100%
 python-3.4.1-1-x86_64             15.4 MiB  4.61M/s 00:03 [###############################] 100%
 svga-dri-10.1.4-1-x86_64        1540.0 KiB  4.64M/s 00:00 [###############################] 100%
 python2-twisted-14.0.0-1-x86_64    4.0 MiB  4.63M/s 00:01 [###############################] 100%
 xf86-input-evdev-2.9.0-1-x86_64   28.5 KiB  4.65M/s 00:00 [###############################] 100%
(11/11) checking keys in keyring                           [###############################] 100%
(11/11) checking package integrity                         [###############################] 100%
(11/11) loading package files                              [###############################] 100%
(11/11) checking for file conflicts                        [###############################] 100%
error: failed to commit transaction (conflicting files)
python2-twisted: /usr/lib/python2.7/site-packages/twisted/plugins/dropin.cache exists in filesystem
Errors occurred, no packages were upgraded.

Is this something that needs manual intervention, or some other problem?

Edit:  After checking that no package owns the affected file I did

mv /usr/lib/python2.7/site-packages/twisted/plugins/dropin.cache /usr/lib/python2.7/site-packages/twisted/plugins/dropin.cache.prev

then re-ran pacman update and it was fine - then removed the renamed file.

Last edited by mcloaked (2014-05-21 17:13:46)


Mike C

Offline

#2 2014-05-21 20:00:16

Potomac
Member
Registered: 2011-12-25
Posts: 342

Re: [SOLVED] python2-twisted - pacman update error

same error

Offline

#3 2014-05-21 20:02:24

weirddan455
Member
Registered: 2012-04-15
Posts: 192

Re: [SOLVED] python2-twisted - pacman update error

I'm having the same error.  How did this file come to be if no package owns it?  I've been using Arch for a long time and rarely have to manually manage files like this (and when I do it's usually on the front page news.)

Offline

#4 2014-05-21 20:18:29

Potomac
Member
Registered: 2011-12-25
Posts: 342

Re: [SOLVED] python2-twisted - pacman update error

a bug report for this problem :

https://bugs.archlinux.org/task/40450

Offline

#5 2014-06-08 16:36:21

milomak
Member
Registered: 2009-11-04
Posts: 49

Re: [SOLVED] python2-twisted - pacman update error

thanks this was very helpful

Offline

#6 2014-06-13 20:43:35

tant0c1b0
Member
Registered: 2013-11-05
Posts: 17

Re: [SOLVED] python2-twisted - pacman update error

Thank you for reporting, I thought the same solution, and I wasn't wrong I see wink

Offline

#7 2014-07-02 18:04:56

NataKun
Member
Registered: 2014-07-02
Posts: 1

Re: [SOLVED] python2-twisted - pacman update error

Thanks! This worked for me!

Offline

Board footer

Powered by FluxBB